library swipedetectorplus;

import 'package:flutter/material.dart';

class SwipeDetectorPlus extends StatelessWidget {
  SwipeDetectorPlus(
      {this.child,
      this.onSwipeRight,
      this.onSwipeLeft,
      this.onSwipeUp,
      this.onSwipeDown});

  final Widget child;
  final Function onSwipeLeft;
  final Function onSwipeRight;
  final Function onSwipeUp;
  final Function onSwipeDown;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      child: child,
      onPanUpdate: (details) {
        if (details.delta.dx > 0) {
          onSwipeRight;
        } else if (details.delta.dx < 0) {
          onSwipeLeft;
        } else if (details.delta.dy > 0) {
          onSwipeUp;
        } else if (details.delta.dy < 0) {
          onSwipeDown;
        }
      },
    );
  }
}
